Subject: Unifying mergetool configuration between git and git-gui

From: Sebastian Schuberth <[email-masked]>
Date: Sun, 22 Jul 2012 16:22:23 +0200

Hi,

I was about to add a configuration for yet another mergetool when I 
realized that git gui's mergetool.tcl pretty much duplicates git's 
mergetools/* configuration files. Can some one tell me why this is 
necessary? I would have expected git gui to simply rely on "git 
mergetool" to launch the mergetool. Or, in case that git gui needs to 
use a different tool than the one configured as mergetool, that 
mergetool.tcl somehow uses the configuration from mergetools/*.

Thanks for any insights.

-- 
Sebastian Schuberth